Page MenuHomePhabricator

Release 6.6.2
Closed, ResolvedPublic

Description

Release version: 6.6.2
Release tag: releases/6.6.2
Release SHA1: e03c17854a592a738ca07be4f3acc4fab5a577f6
App Store Submission Date: 7/10/20
App Store Approval Date: 7/11/20
App Store Release Date: 7/13/20


Pre-release

  • Submit Beta on iTunes Connect for external testing review, and verify distribution
  • File subtask for smoke tests and notify TSG with RC build number
  • Review Regression testing report, triage bugs, and identify any blockers

Day of submit:

  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Install previous (active) App Store version, then update to release candidate via TestFlight and verify app load
  • Release to App Store (NOT on a Friday!)

Post-release:

-[ ] Post on mobile-l-

Event Timeline

LGoto created this task.Jul 9 2020, 7:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 9 2020, 7:24 PM
JMinor triaged this task as High priority.Jul 9 2020, 11:44 PM
JMinor updated the task description. (Show Details)
JMinor added a subscriber: Tsevener.
JMinor added a subscriber: JoeWalsh.
JMinor reassigned this task from JMinor to LGoto.Jul 13 2020, 10:16 PM
JMinor updated the task description. (Show Details)
JMinor added a subscriber: JMinor.
LGoto closed this task as Resolved.Jul 13 2020, 11:25 PM
LGoto updated the task description. (Show Details)